package com.baidu.cloud.videoplayer.demo;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Toast;

import com.baidu.cloud.media.player.feature.FeatureException;
import com.baidu.cloud.media.player.feature.FeatureManager;

public class EntryActivity extends Activity implements View.OnClickListener {

    private static final String RTC_LOGIN_ACTIVITY_CLASS_NAME
            = "com.baidu.cloud.videoplayer.demo.rtc.RTCPlayerLoginActivity";

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_entry);

        findViewById(R.id.view_play_common).setOnClickListener(this);
        findViewById(R.id.view_play_rtc).setOnClickListener(this);
    }


    @Override
    public void onClick(View v) {
        int id = v.getId();
        if (id == R.id.view_play_rtc) {
            try {
                boolean enable =  FeatureManager.getInstance()
                        .checkRtcPlayerFeatureValid(this, BaseApp.APP_ID);
                if (enable) {
                    jumpToRtcPlayActiviy();
                }
            } catch (FeatureException e) {
                e.printStackTrace();
                if (e.getFeatureErrCode() == FeatureException.FEATURE_ERR_LICENSE_INVALID) {
                    Toast.makeText(this, "当前License不支持超低延时直播", Toast.LENGTH_SHORT).show();
                } else if (e.getFeatureErrCode() == FeatureException.FEATURE_ERR_MODULE_INVALID) {
                    Toast.makeText(this, "当前SDK不包含超低延时直播功能", Toast.LENGTH_SHORT).show();
                }
            }
        } else if (id == R.id.view_play_common) {
            jumpToCommonPlayActiviy();
        }
    }

    private void jumpToCommonPlayActiviy() {
        Intent liveIntent = new Intent(this, SampleListActivity.class);
        startActivity(liveIntent);
    }

    private void jumpToRtcPlayActiviy() {
        try {
            Class clazzRtcLoginActivity = Class.forName(RTC_LOGIN_ACTIVITY_CLASS_NAME);
            Intent liveIntent = new Intent(this, clazzRtcLoginActivity);
            startActivity(liveIntent);
        } catch (ClassNotFoundException e) {
            e.printStackTrace();
        }
    }
}
